# Class WeatherEffectPhase

#### Hierarchy (view full)

- CommonAnimPhase
  - WeatherEffectPhase

- Defined in src/phases.ts:3301

#####
Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player
scene
weather

### Methods

end
executeForAll
getOrder
getPokemon
hideEnemyTrainer
setAnimation
showEnemyTrainer
start

## Constructors

### constructor

- new WeatherEffectPhase(scene): WeatherEffectPhase

- #### Parameters

  - scene: default

  #### Returns WeatherEffectPhase

  Overrides CommonAnimPhase.constructor

  - Defined in src/phases.ts:3304

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from CommonAnimPhase.battlerIndex

- Defined in src/phases.ts:688

### fieldIndex

fieldIndex: number

Inherited from CommonAnimPhase.fieldIndex

- Defined in src/phases.ts:690

### player

player: boolean

Inherited from CommonAnimPhase.player

- Defined in src/phases.ts:689

### `Protected` scene

scene: default

Inherited from CommonAnimPhase.scene

- Defined in src/phase.ts:4

### weather

weather: Weather

- Defined in src/phases.ts:3302

## Methods

### end

- end(): void

- #### Returns void

  Inherited from CommonAnimPhase.end

  - Defined in src/phase.ts:17

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from CommonAnimPhase.executeForAll

  - Defined in src/phases.ts:681

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from CommonAnimPhase.getOrder

  - Defined in src/phases.ts:659

### getPokemon

- getPokemon(): default

- #### Returns default

  Inherited from CommonAnimPhase.getPokemon

  - Defined in src/phases.ts:704

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from CommonAnimPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### setAnimation

- setAnimation(anim): void

- #### Parameters

  - anim: CommonAnim

  #### Returns void

  Inherited from CommonAnimPhase.setAnimation

  - Defined in src/phases.ts:2468

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from CommonAnimPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides CommonAnimPhase.start

  - Defined in src/phases.ts:3309